package com.mcwl.web.controller.resource;

import com.mcwl.common.core.controller.BaseController;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.request.RequestWorkFlow;
import com.mcwl.resource.service.impl.WorkFlowServiceImpl;
import com.mcwl.web.controller.common.OssUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;


/**
 * 工作流
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.web.controller.resource
 * @Filename：MallProductController
 * @Description 商品
 * @Date：2024/12/31 10:48
 */

@RestController
@RequestMapping("/WorkFlow")
public class WorkFlowController extends BaseController {


    @Autowired
    private WorkFlowServiceImpl workFlowService;

    /***
     * 图片
     * @param file
     * @return
     */
    @PostMapping("/file")
    public AjaxResult Malifile(@RequestParam MultipartFile file){

        String s = OssUtil.uploadMultipartFile(file);
        return AjaxResult.success(s);
    }

    /***
     *
     * zip
     * @param file
     * @return
     */
    @PostMapping("/zipUrlFile")
    public AjaxResult zipUrlFile(@RequestParam MultipartFile file){
        String s = OssUtil.uploadMultipartFile(file);
        return AjaxResult.success(s);
    }


    /***
     *
     * 下载zip
     * @param file
     * @return
     */
    @PostMapping("/zipUrl")
    public AjaxResult zipUrl(@RequestParam MultipartFile file){
        String s = OssUtil.uploadMultipartFile(file);
        return AjaxResult.success(s);
    }


    @PostMapping("/addWorkFlow")
    public AjaxResult addWorkFlow(@RequestBody RequestWorkFlow requestWorkFlow){

        return workFlowService.addWorkFlow(requestWorkFlow);
    }

    @PostMapping("/updateWorkFlow")
    public AjaxResult updateWorkFlow(@RequestBody RequestWorkFlow requestWorkFlow){

        workFlowService.updateWorkFlow(requestWorkFlow);

        return AjaxResult.success("修改成功");
    }



}
