package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 模型评论
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("model_comment")
public class ModelComment extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 模型id
     */
    private Long modelId;

    /**
     * 评论内容
     */
    private String content;

    /**
     * 父评论id
     */
    private Long parentId;

    /**
     * 点赞数
     */
    private Integer likeNum;

}
