package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 模型表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.common.domain.resource
 * @Filename：MallProduct
 * @Description 模型表
 * @Date：2024/12/30 17:22
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("model")
public class ModelProduct extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 版本ID
     */
    private Long versionId;
    /**
     * 名称
     */
    private String modelName;
    /**
     * 描述
     */
    private String versionDescription;
    /***
     * 用户id
     */
    private Long userId;
    /**
     * 模型类型ID
     */
    private Long modelTypeId;
    /**
     * 垂类
     */
    private String category;
    /**
     * 功能
     */
    private String functions;
    /**
     * 标签（最多三个，切割）
     */
    private String tags;
    /**
     * 参与活动
     */
    private String activityId;
    /**
     * 是否原创
     */
    private Integer isOriginal;
    /**
     * 原创作者姓名
     */
    private String originalAuthorName;
    /**
     * 生图次数
     */
    private Integer reals;
    /**
     * 下载次数
     */
    private Integer numbers;
    /**
     * 审核状态
     */
    private Integer auditSatus;
    /**
     * 审核失败原因
     */
    private String auditText;
    /**
     * 是否推荐模型
     */
    private Integer isRecommend;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;


}
