package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**工作流版本表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：WorkFlow
 * @Description TODO
 * @Date：2025/1/8 19:38
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("work_flow_version")
public class WorkFlowVersion {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 版本名称
     */
    private String versionName;
    /**
     * 版本介绍（富文本）
     */
    private String versionDescription;
    /**
     * 文件地址
     */
    private String filePath;
    /**
     * 图片地址（最多20张,切割）
     */
    private String imagePaths;
    /**
     * 是否隐藏图片生成信息
     */
    private Integer hideGenInfo;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 审核状态（0全部状态 1已发布-公开 2已发布-仅自己可见 3审核中 4审核未通过）
     */
    private Integer auditStatus = 0;

    /**
     * 审核失败原因
     */
    private String auditText;

    /**
     * 模型ID
     */
    private Long workFlowId;

    /**
     * 基础模型
     */
    private Integer basicModel;

    /**
     * 权限状态
     */
    private Integer jurisdiction;

    /**
     *是否允许在本软件使用(0授权 1不允许
     */
    private Integer itselfUse;

    /**
     * 是否允许在旗下软件使用(0授权 1不允许)
     */
    private Integer subordinateUse;

    /**
     * 是否允许下载生图(0授权 1不允许)
     */
    private Integer download;

    /**
     * 是否允许下载融合(0授权 1不允许)
     */
    private Integer fuse;

    /**
     * 生成的图片是否允许出售(0授权 1不允许)
     */
    private Integer sell;

    /**
     * 是否允许融合后(0授权 1不允许)
     */
    private Integer fuseSell;

    /**
     * 是否独家设置(0授权 1不允许)
     */
    private Integer exclusive;

    /**
     * 文件名字
     */
    private String fileName;
}
