package com.mcwl.resource.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.resource.domain.ModelImage;
import com.mcwl.resource.domain.ModelProduct;
import com.mcwl.resource.domain.dto.ModelImageCommentRes;
import com.mcwl.resource.domain.dto.ModelImagePageRes;
import com.mcwl.resource.domain.dto.ModelImageRes;
import com.mcwl.resource.domain.vo.MallProductVo;
import com.mcwl.resource.domain.vo.ModelImageCommentVo;

import java.util.List;


public interface ModelImageService extends IService<ModelImage> {
    /**
     * 根据id更新
     * @param modelImageRes 更新对象
     */
    void updateById(ModelImageRes modelImageRes);

    /**
     * 发布
     * @param modelImageRes 发布对象
     */
    void publish(ModelImageRes modelImageRes);

    /**
     * 评论
     * @param modelImageCommentRes 评论对象
     */
    void comment(ModelImageCommentRes modelImageCommentRes);

    /**
     * 获取评论
     * @param imageId 图片id
     * @return 评论区
     */
    List<ModelImageCommentVo> getComment(Long imageId);

    /**
     * 分页查询
     * @param imagePageRes 分页参数
     * @return 分页数据
     */
    TableDataInfo listByPage(ModelImagePageRes imagePageRes);
}
