package com.mcwl.resource.service.impl;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.WorkFlowVersion;
import com.mcwl.resource.domain.request.RequestWorkFlow;
import com.mcwl.resource.mapper.WorkFlowMapper;
import com.mcwl.resource.mapper.WorkFlowVersionMapper;
import com.mcwl.resource.service.WorkFlowService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 工作流 业务实现层
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

@Slf4j
@Service
public class WorkFlowServiceImpl implements WorkFlowService {

    @Autowired
    private WorkFlowMapper flowMapper;

    @Autowired
    private WorkFlowVersionMapper workFlowVersionMapper;

    @Override
    public AjaxResult addWorkFlow(RequestWorkFlow requestWorkFlow) {

        //添加模型表数据
        flowMapper.insert(requestWorkFlow.getWorkFlow());

        log.info("获取到的入参:{}",requestWorkFlow.getWorkFlow());

        //批量添加版本
        workFlowVersionMapper.addWorkFlowVersion(requestWorkFlow.getWorkFlow(),requestWorkFlow.getWorkFlowVersionList());

        return AjaxResult.success("添加成功，等待审核");
    }

    @Override
    public void updateWorkFlow(RequestWorkFlow requestWorkFlow) {

        //修改工作流的信息
        if (requestWorkFlow.getWorkFlow().getId() != null){

            requestWorkFlow.getWorkFlow().setAuditStatus(3);
            flowMapper.updateWorkFlow(requestWorkFlow.getWorkFlow());
        }

        //修改工作流版本的信息
        if (requestWorkFlow.getWorkFlowVersionList().size() != 0){

            //批量修改
            for (WorkFlowVersion workFlowVersion : requestWorkFlow.getWorkFlowVersionList()) {
                workFlowVersion.setAuditStatus(3);
                workFlowVersionMapper.updateWorkFlowVersion(workFlowVersion);
            }
        }
    }
}
